<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>G-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="index: G">
<meta name="generator" content="javadoc/SplitIndexWriter">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.js"></script>
</head>
<body class="split-index">
<script type="text/javascript">var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:G">
<!--   -->
</a>
<h2 class="title">G</h2>
<dl>
<dt><a href="../Heroes/Game.html" title="class in Heroes"><span class="typeNameLink">Game</span></a> - Class in <a href="../Heroes/package-summary.html">Heroes</a></dt>
<dd>
<div class="block">The type Game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#%3Cinit%3E(javafx.stage.Stage)">Game(Stage)</a></span> - Constructor for class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Instantiates a new Game.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Map/MapGenerator.html#gen()">gen()</a></span> - Method in class Heroes.Map.<a href="../Heroes/Map/MapGenerator.html" title="class in Heroes.Map">MapGenerator</a></dt>
<dd>
<div class="block">Generate a map</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/BCrypt.html#gensalt()">gensalt()</a></span> - Static method in class Heroes.User.<a href="../Heroes/User/BCrypt.html" title="class in Heroes.User">BCrypt</a></dt>
<dd>
<div class="block">Generate a salt for use with the BCrypt.hashpw() method,
 selecting a reasonable default for the number of hashing
 rounds to apply</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/BCrypt.html#gensalt(int)">gensalt(int)</a></span> - Static method in class Heroes.User.<a href="../Heroes/User/BCrypt.html" title="class in Heroes.User">BCrypt</a></dt>
<dd>
<div class="block">Generate a salt for use with the BCrypt.hashpw() method</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/BCrypt.html#gensalt(int,java.security.SecureRandom)">gensalt(int, SecureRandom)</a></span> - Static method in class Heroes.User.<a href="../Heroes/User/BCrypt.html" title="class in Heroes.User">BCrypt</a></dt>
<dd>
<div class="block">Generate a salt for use with the BCrypt.hashpw() method</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TowerInfos.html#getAssetPath()">getAssetPath()</a></span> - Method in enum Heroes.Tile.<a href="../Heroes/Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></dt>
<dd>
<div class="block">Get asset path string.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Constructible.html#getAttack()">getAttack()</a></span> - Method in class Heroes.Tile.<a href="../Heroes/Tile/Constructible.html" title="class in Heroes.Tile">Constructible</a></dt>
<dd>
<div class="block">Gets attack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TowerInfos.html#getAttack()">getAttack()</a></span> - Method in enum Heroes.Tile.<a href="../Heroes/Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></dt>
<dd>
<div class="block">Gets attack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getAttack()">getAttack()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets attack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getAttackList()">getAttackList()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">get all the attacks that have to be handled at this loop</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Constructible.html#getAttackRange()">getAttackRange()</a></span> - Method in class Heroes.Tile.<a href="../Heroes/Tile/Constructible.html" title="class in Heroes.Tile">Constructible</a></dt>
<dd>
<div class="block">Gets attack range.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TowerInfos.html#getAttackRange()">getAttackRange()</a></span> - Method in enum Heroes.Tile.<a href="../Heroes/Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></dt>
<dd>
<div class="block">Gets attack range.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getAttackRange()">getAttackRange()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets attack range.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Constructible.html#getAttackRate()">getAttackRate()</a></span> - Method in class Heroes.Tile.<a href="../Heroes/Tile/Constructible.html" title="class in Heroes.Tile">Constructible</a></dt>
<dd>
<div class="block">Gets attack rate.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TowerInfos.html#getAttackRate()">getAttackRate()</a></span> - Method in enum Heroes.Tile.<a href="../Heroes/Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></dt>
<dd>
<div class="block">Gets attack rate.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getAttackRate()">getAttackRate()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets attack rate.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#getAttackSpeed()">getAttackSpeed()</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Get attack value(int)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#getAttackTower()">getAttackTower()</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Gets attack tower.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#getBuyPrice()">getBuyPrice()</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Gets buy price.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#getColumns()">getColumns()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Gets columns.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getCostAttack()">getCostAttack()</a></span> - Static method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets cost attack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getCostAttackRange()">getCostAttackRange()</a></span> - Static method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets cost attack range.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getCostAttackRate()">getCostAttackRate()</a></span> - Static method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets cost attack rate.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#getCount()">getCount()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Gets count.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#getDamage()">getDamage()</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Get damage value</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Monster.html#getDeath()">getDeath()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Monster.html" title="class in Heroes.Monster">Monster</a></dt>
<dd>
<div class="block">Gets death.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/AttackRender.html#getDListX()">getDListX()</a></span> - Method in class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/AttackRender.html" title="class in Heroes.Tile.Towers.Attacks">AttackRender</a></dt>
<dd>
<div class="block">Get DListX</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#getExp()">getExp()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Gets exp.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getHeight()">getHeight()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Gets height.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Map/MapOfTiles.html#getHeightShift()">getHeightShift()</a></span> - Static method in class Heroes.Map.<a href="../Heroes/Map/MapOfTiles.html" title="class in Heroes.Map">MapOfTiles</a></dt>
<dd>
<div class="block">Gets height shift.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getInGameUser()">getInGameUser()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Gets in game user.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#getKey()">getKey()</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Gets key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Wave.html#getLevel()">getLevel()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Wave.html" title="class in Heroes.Monster">Wave</a></dt>
<dd>
<div class="block">Gets level.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#getLevel()">getLevel()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Gets level.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#getLevelMax()">getLevelMax()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Gets level max.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Monster.html#getLifePoints()">getLifePoints()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Monster.html" title="class in Heroes.Monster">Monster</a></dt>
<dd>
<div class="block">Gets life points.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/InGameUser.html#getLifes()">getLifes()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/InGameUser.html" title="class in Heroes.User">InGameUser</a></dt>
<dd>
<div class="block">Gets lifes value</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/InGameUser.html#getLifesP()">getLifesP()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/InGameUser.html" title="class in Heroes.User">InGameUser</a></dt>
<dd>
<div class="block">Gets lifes property</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#getListX()">getListX()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Get xList.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#getListY()">getListY()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Get yList.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getLt()">getLt()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Gets map of towers (integer is tower key)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getMap()">getMap()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Gets map of tiles;=</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowersImprovements.html#getMapTkTowersImprovement()">getMapTkTowersImprovement()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/TowersImprovements.html" title="class in Heroes.User">TowersImprovements</a></dt>
<dd>
<div class="block">Gets map tileInfos towers improvement.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getMaxNumberOfEach()">getMaxNumberOfEach()</a></span> - Static method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets max number of each.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/InGameUser.html#getMoney()">getMoney()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/InGameUser.html" title="class in Heroes.User">InGameUser</a></dt>
<dd>
<div class="block">Gets money value</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#getMoney()">getMoney()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Gets money.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/InGameUser.html#getMoneyP()">getMoneyP()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/InGameUser.html" title="class in Heroes.User">InGameUser</a></dt>
<dd>
<div class="block">Gets money property</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Monster.html#getMonsterKind()">getMonsterKind()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Monster.html" title="class in Heroes.Monster">Monster</a></dt>
<dd>
<div class="block">Gets monsterKind.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Wave.html#getMonsters()">getMonsters()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Wave.html" title="class in Heroes.Monster">Wave</a></dt>
<dd>
<div class="block">Gets monsters(ArrayList of Monster)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getMouse()">getMouse()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Gets mouse.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getMusic()">getMusic()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Gets music.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TowerInfos.html#getName()">getName()</a></span> - Method in enum Heroes.Tile.<a href="../Heroes/Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></dt>
<dd>
<div class="block">Get name string.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/Attack.html#getName()">getName()</a></span> - Method in class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a></dt>
<dd>
<div class="block">Gets name of an attack</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#getName()">getName()</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Get name string.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getName()">getName()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#getName()">getName()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Gets name.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#getNumberGamesPlayed()">getNumberGamesPlayed()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Gets number games played.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getPane()">getPane()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Gets pane.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getPane1()">getPane1()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Gets pane 1.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getPane3()">getPane3()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Gets pane 3.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Map/MapOfTiles.html#getPathList()">getPathList()</a></span> - Method in class Heroes.Map.<a href="../Heroes/Map/MapOfTiles.html" title="class in Heroes.Map">MapOfTiles</a></dt>
<dd>
<div class="block">Gets path list.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#getPosX()">getPosX()</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Gets PositionX</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#getPosY()">getPosY()</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Gets PositionY</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TowerInfos.html#getPrice()">getPrice()</a></span> - Method in enum Heroes.Tile.<a href="../Heroes/Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></dt>
<dd>
<div class="block">Gets price.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Tile.html#getRan()">getRan()</a></span> - Static method in class Heroes.Tile.<a href="../Heroes/Tile/Tile.html" title="class in Heroes.Tile">Tile</a></dt>
<dd>
<div class="block">Gets random value of map.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#getRange()">getRange()</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Get range value(int)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getRoot()">getRoot()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Gets root.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Main.html#getRoot()">getRoot()</a></span> - Static method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Main.html" title="class in Heroes.MenuInterface">Main</a></dt>
<dd>
<div class="block">Gets root layout.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/TowerImprovementInterfaceController.html#getSelectedTower()">getSelectedTower()</a></span> - Method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/TowerImprovementInterfaceController.html" title="class in Heroes.MenuInterface">TowerImprovementInterfaceController</a></dt>
<dd>
<div class="block">Gets selected tower.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Tower.html#getSellPrice()">getSellPrice()</a></span> - Method in class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/Tower.html" title="class in Heroes.Tile.Towers">Tower</a></dt>
<dd>
<div class="block">Gets sell price.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Map/MapGenerator.html#getSetMRanged()">getSetMRanged()</a></span> - Method in class Heroes.Map.<a href="../Heroes/Map/MapGenerator.html" title="class in Heroes.Map">MapGenerator</a></dt>
<dd>
<div class="block">Gets path key.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#getSizeOfListX()">getSizeOfListX()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Gets size of xList.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#getSizeOfListY()">getSizeOfListY()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Gets size of yList.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/Attack.html#getSource()">getSource()</a></span> - Method in class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a></dt>
<dd>
<div class="block">Get source string of an attack sprite</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TowerInfos.html#getSpecialEffect()">getSpecialEffect()</a></span> - Method in enum Heroes.Tile.<a href="../Heroes/Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></dt>
<dd>
<div class="block">Get special effect string.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Monster.html#getSpeed()">getSpeed()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Monster.html" title="class in Heroes.Monster">Monster</a></dt>
<dd>
<div class="block">Gets speed.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/Attacks/Attack.html#getSpeed()">getSpeed()</a></span> - Method in class Heroes.Tile.Towers.Attacks.<a href="../Heroes/Tile/Towers/Attacks/Attack.html" title="class in Heroes.Tile.Towers.Attacks">Attack</a></dt>
<dd>
<div class="block">Get speed int value</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Main.html#getStage()">getStage()</a></span> - Static method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Main.html" title="class in Heroes.MenuInterface">Main</a></dt>
<dd>
<div class="block">Get stage stage.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Constructible.html#getState()">getState()</a></span> - Method in class Heroes.Tile.<a href="../Heroes/Tile/Constructible.html" title="class in Heroes.Tile">Constructible</a></dt>
<dd>
<div class="block">Gets state.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Input/Mouse.html#getTileKey()">getTileKey()</a></span> - Method in class Heroes.Input.<a href="../Heroes/Input/Mouse.html" title="class in Heroes.Input">Mouse</a></dt>
<dd>
<div class="block">get id (key) of a tile from the mouse position</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Tile.html#getTileKind()">getTileKind()</a></span> - Method in class Heroes.Tile.<a href="../Heroes/Tile/Tile.html" title="class in Heroes.Tile">Tile</a></dt>
<dd>
<div class="block">Get tile kind tile kinds.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Tile.html#getTileOriginalSize()">getTileOriginalSize()</a></span> - Static method in class Heroes.Tile.<a href="../Heroes/Tile/Tile.html" title="class in Heroes.Tile">Tile</a></dt>
<dd>
<div class="block">Gets tile original size.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Map/MapOfTiles.html#getTiles()">getTiles()</a></span> - Method in class Heroes.Map.<a href="../Heroes/Map/MapOfTiles.html" title="class in Heroes.Map">MapOfTiles</a></dt>
<dd>
<div class="block">Gets tiles hashmap.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Settings.html#getTileSize()">getTileSize()</a></span> - Method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Settings.html" title="class in Heroes.MenuInterface">Settings</a></dt>
<dd>
<div class="block">Gets tile size.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Tile.html#getTileSize()">getTileSize()</a></span> - Static method in class Heroes.Tile.<a href="../Heroes/Tile/Tile.html" title="class in Heroes.Tile">Tile</a></dt>
<dd>
<div class="block">Gets tile size.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Map/MapGenerator.html#getTilesKindMap()">getTilesKindMap()</a></span> - Method in class Heroes.Map.<a href="../Heroes/Map/MapGenerator.html" title="class in Heroes.Map">MapGenerator</a></dt>
<dd>
<div class="block">Gets map of tilesKind .</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#getTotalWavesNumber()">getTotalWavesNumber()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Gets total waves number.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getTowerInfos()">getTowerInfos()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets tower infos.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/User.html#getTowersImprovements()">getTowersImprovements()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/User.html" title="class in Heroes.User">User</a></dt>
<dd>
<div class="block">Gets towers improvements.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TowerStates.html#getTowerState()">getTowerState()</a></span> - Method in enum Heroes.Tile.<a href="../Heroes/Tile/TowerStates.html" title="enum in Heroes.Tile">TowerStates</a></dt>
<dd>
<div class="block">Gets tower state.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getUser()">getUser()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Get user user.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Main.html#getUser()">getUser()</a></span> - Static method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Main.html" title="class in Heroes.MenuInterface">Main</a></dt>
<dd>
<div class="block">Gets user.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getValAttack()">getValAttack()</a></span> - Static method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets val attack.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getValAttackRange()">getValAttackRange()</a></span> - Static method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets val attack range.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/TowerImprovement.html#getValAttackRate()">getValAttackRate()</a></span> - Static method in class Heroes.User.<a href="../Heroes/User/TowerImprovement.html" title="class in Heroes.User">TowerImprovement</a></dt>
<dd>
<div class="block">Gets val attack rate.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/Monster.html#getValue()">getValue()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/Monster.html" title="class in Heroes.Monster">Monster</a></dt>
<dd>
<div class="block">Gets value.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/InGameUser.html#getWave()">getWave()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/InGameUser.html" title="class in Heroes.User">InGameUser</a></dt>
<dd>
<div class="block">Gets wave value.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/User/InGameUser.html#getWaveP()">getWaveP()</a></span> - Method in class Heroes.User.<a href="../Heroes/User/InGameUser.html" title="class in Heroes.User">InGameUser</a></dt>
<dd>
<div class="block">Gets wave value property.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Game.html#getWidth()">getWidth()</a></span> - Static method in class Heroes.<a href="../Heroes/Game.html" title="class in Heroes">Game</a></dt>
<dd>
<div class="block">Gets width.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/MenuInterface/Settings.html#getWidth()">getWidth()</a></span> - Method in class Heroes.MenuInterface.<a href="../Heroes/MenuInterface/Settings.html" title="class in Heroes.MenuInterface">Settings</a></dt>
<dd>
<div class="block">Gets width.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#getWidth()">getWidth()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Gets width.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Map/MapOfTiles.html#getWidthShift()">getWidthShift()</a></span> - Static method in class Heroes.Map.<a href="../Heroes/Map/MapOfTiles.html" title="class in Heroes.Map">MapOfTiles</a></dt>
<dd>
<div class="block">Gets width shift.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Input/Mouse.html#getX()">getX()</a></span> - Static method in class Heroes.Input.<a href="../Heroes/Input/Mouse.html" title="class in Heroes.Input">Mouse</a></dt>
<dd>
<div class="block">get position X (pixels)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#getxList()">getxList()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Gets first element of xList.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#getxSh()">getxSh()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Gets xShift.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Input/Mouse.html#getY()">getY()</a></span> - Static method in class Heroes.Input.<a href="../Heroes/Input/Mouse.html" title="class in Heroes.Input">Mouse</a></dt>
<dd>
<div class="block">get position Y (pixels)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#getyList()">getyList()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Gets first element of yList.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Monster/MonsterRender.html#getySh()">getySh()</a></span> - Method in class Heroes.Monster.<a href="../Heroes/Monster/MonsterRender.html" title="class in Heroes.Monster">MonsterRender</a></dt>
<dd>
<div class="block">Gets yShift.</div>
</dd>
<dt><a href="../Heroes/Tile/Towers/God.html" title="class in Heroes.Tile.Towers"><span class="typeNameLink">God</span></a> - Class in <a href="../Heroes/Tile/Towers/package-summary.html">Heroes.Tile.Towers</a></dt>
<dd>
<div class="block">The type God (extends Tower)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/God.html#%3Cinit%3E(int)">God(int)</a></span> - Constructor for class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/God.html" title="class in Heroes.Tile.Towers">God</a></dt>
<dd>
<div class="block">Instantiates a new God.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TileKinds.html#GOD">GOD</a></span> - Heroes.Tile.<a href="../Heroes/Tile/TileKinds.html" title="enum in Heroes.Tile">TileKinds</a></dt>
<dd>
<div class="block">God tile kinds.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TowerInfos.html#GOD">GOD</a></span> - Heroes.Tile.<a href="../Heroes/Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></dt>
<dd>
<div class="block">The God, Ragnar.</div>
</dd>
<dt><a href="../Heroes/Tile/Towers/GreenLizard.html" title="class in Heroes.Tile.Towers"><span class="typeNameLink">GreenLizard</span></a> - Class in <a href="../Heroes/Tile/Towers/package-summary.html">Heroes.Tile.Towers</a></dt>
<dd>
<div class="block">The type Green lizard (extends Tower)</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/Towers/GreenLizard.html#%3Cinit%3E(int)">GreenLizard(int)</a></span> - Constructor for class Heroes.Tile.Towers.<a href="../Heroes/Tile/Towers/GreenLizard.html" title="class in Heroes.Tile.Towers">GreenLizard</a></dt>
<dd>
<div class="block">Instantiates a new Green lizard.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TileKinds.html#GREENLIZARD">GREENLIZARD</a></span> - Heroes.Tile.<a href="../Heroes/Tile/TileKinds.html" title="enum in Heroes.Tile">TileKinds</a></dt>
<dd>
<div class="block">Greenlizard tile kinds.</div>
</dd>
<dt><span class="memberNameLink"><a href="../Heroes/Tile/TowerInfos.html#GREENLIZARD">GREENLIZARD</a></span> - Heroes.Tile.<a href="../Heroes/Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></dt>
<dd>
<div class="block">The Greenlizard.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">G</a>&nbsp;<a href="index-7.html">H</a>&nbsp;<a href="index-8.html">I</a>&nbsp;<a href="index-9.html">L</a>&nbsp;<a href="index-10.html">M</a>&nbsp;<a href="index-11.html">N</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">U</a>&nbsp;<a href="index-18.html">V</a>&nbsp;<a href="index-19.html">W</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a><span class="verticalSeparator">|</span><a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
